---
title: ACH rail
slug: apis/lending/loan-funding-payment-rails/ach-rail
description: ACH funding fields are sent inside the funding info payload required: toRoutingNumber, toAccountNumber, standardEntryClassCode, etc.
docTags: 
createdAt: 2024-08-14T11:35:37.213Z
---

## ACH rails

Arix uses ACH to push money into the account of a borrower, vendor, or creditor. Cross River must approve every ACH payment that is sent.

There are two types of ACH rails:

## COSACH

- Via Nacha
- Funded next day

## COSACHSD

- Via Nacha
- Same day funding

```json
{
    "LoanId": "bbedd717-8589-4411-b6da-ac6e0097bf51",
    "Rails": [
        {
            "ACHFields": {
                "StandardEntryClassCode": "PPD",
                "TransactionType": "push",
                "ToRoutingNumber": "021214891",
                "ToAccountType": "Checking",
                "ToAccountName": "Anita Lon",
                "ToAccountNumber": "9999999999",
                "Description": "Loan"
            },
            "Id": "23b5fedb-bc20-41a0-a4ae-ac9300b4530e",
            "RailType": "COSACH",
            "Priority": 1,
            "Amount": 100
        }
    ]
}
```

## Request parameters

| Attributes                                 | Description                                                                                                                                                            |
| ------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `ToRoutingNumber`<br />string              | Receiving bank's routing number.<br />The value entered for this field is validated up front and it must be 9 digits long.<br /><font color="#eb144c">Required </font> |
| `ToAccountName`<br />string<br />          | Name on the customer account.<br />Limited to 22 characters.<br /><font color="#eb144c">Required </font>                                                               |
| `ToAccountNumber`<br />string              | Account number.<br />Limited to 17 digits.<br /><font color="#eb144c">Required </font>                                                                                 |
| `Description`<br />string                  | Mapped to identification field in the NACHA file.<br />Limited to 15 characters.<br /><font color="#eb144c">Required </font>                                           |
| `StandardEntryClassCode`<br />string<br /> | The type of account:<br />- PPD - consumer accounts<br />- CCD - corporate accounts<br /><font color="#eb144c">Required </font>                                        |
| `TransactionType`<br />string              | Push<br /><font color="#eb144c">Required </font>                                                                                                                       |
| `ToAccountType`<br />string                | Checking account or savings account.<br /><font color="#eb144c">Required </font>                                                                                       |

## Returns

ACH credits are not final as are wires. When Arix uses an ACH rail to process a loan, the rail can be returned from the Fed at any point in the process. Returns typically occur within several days of funding, but they can be generated up to 180 days from the funding date.&#x20;

Arix uses webhooks to update the funding status of a loan.
